Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 16 Aug 2018, 20:20
All times are UTC - 4
 Forum index » Advanced Topics » Cutting edge
puppy-get 1.5 beta
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 5 [69 Posts]   Goto page: Previous 1, 2, 3, 4, 5 Next
Author Message
mistfire

Joined: 04 Nov 2008
Posts: 922
Location: PH

PostPosted: Fri 10 Nov 2017, 08:09    Post subject:  

@musher0 remember that you failed to remove package from puppy-get remove command? The cuprit was on the package registration so I fixed it. Also I found error on generating icewm menu, that error was now fixed
Back to top
View user's profile Send private message 
mistfire

Joined: 04 Nov 2008
Posts: 922
Location: PH

PostPosted: Mon 13 Nov 2017, 03:01    Post subject:  

puppy-get 1.5 beta released

Changes
* New command
+ search - search a package name in the master database

* Some bugfixes

Download was in the first post of this thread

_________________
Simple, Magaan, at Mabilis (Simple, Light, and Fast)
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 12564
Location: Gatineau (Qc), Canada

PostPosted: Mon 13 Nov 2017, 04:23    Post subject:  

mistfire wrote:
@musher0 remember that you failed to remove package from puppy-get remove command? The cuprit was on the package registration so I fixed it. Also I found error on generating icewm menu, that error was now fixed


Thanks, mistfire.

I tested the improved remove function, and it now works as it should.

Sorry for the delay, I was busy with something else.

BFN.

_________________
musher0
~~~~~~~~~~
Siempre será canción nueva... (V. Jara, Manifiesto)
Back to top
View user's profile Send private message 
mistfire

Joined: 04 Nov 2008
Posts: 922
Location: PH

PostPosted: Mon 13 Nov 2017, 05:33    Post subject:  

Good to know. Thats okay @musher0
_________________
Simple, Magaan, at Mabilis (Simple, Light, and Fast)
Back to top
View user's profile Send private message 
rockedge


Joined: 11 Apr 2012
Posts: 730
Location: Connecticut, United States

PostPosted: Tue 13 Feb 2018, 14:23    Post subject:  

I am looking forward to testing puppy-get_1.5-beta...at the moment the package database is being built...so far 80+ minutes...... at "p "...
Code:
pet-get update

I am using an Xenial 7.5 32bit built from woof-CE yesterday. Using a Linux Kernel: 4.1.30 (i686)
PAE Enabled: Yes

Can I add a PPA to the package list and update the database? And how?

I will attempt to install ZoneMinder, Apache2, PHP 7, MariaDB using
pet-get which is running from /root/my-applications/bin.
Back to top
View user's profile Send private message Visit poster's website 
rockedge


Joined: 11 Apr 2012
Posts: 730
Location: Connecticut, United States

PostPosted: Tue 13 Feb 2018, 16:56    Post subject:  

Update :
database finished and used :
Code:
#puppy-get install apache2


then using
Code:
adduser www-data

and enabling the proper modules and configurations
and then using :
Code:
#service apache2 start

the Apache server started right up and opened a browser (palemoon) and connected directly to http://localhost.

a good sign that so far puppy-get seems to be working.
Back to top
View user's profile Send private message Visit poster's website 
mistfire

Joined: 04 Nov 2008
Posts: 922
Location: PH

PostPosted: Tue 13 Feb 2018, 21:29    Post subject:  

@rockedge puppy-get depends on PPM. So by editing files in the PPM for adding repos will also read by puppy-get.
Back to top
View user's profile Send private message 
rockedge


Joined: 11 Apr 2012
Posts: 730
Location: Connecticut, United States

PostPosted: Tue 13 Feb 2018, 22:36    Post subject:  

thank you! I thought so...I added the iconner PPA for zoneminder stable and with a minimal of other commands to intilize the mariaDB and create the users www-data and mysql and then create a database and load an .sql file and give a user rights for the database and I can report a successful test and with relative ease was able to install a complete LAMP with a stable zoneminder 1.30.4 up and running!!

this is a very successful test of the puppy-get...... and by using the PPM together I got very good results with an installation of a tricky package to install.
Back to top
View user's profile Send private message Visit poster's website 
rockedge


Joined: 11 Apr 2012
Posts: 730
Location: Connecticut, United States

PostPosted: Wed 14 Feb 2018, 00:57    Post subject:  

just completed a successful installation of VLC using
Code:
#puppy-get install vlc

on the zoneminder machine.
Back to top
View user's profile Send private message Visit poster's website 
rockedge


Joined: 11 Apr 2012
Posts: 730
Location: Connecticut, United States

PostPosted: Thu 15 Feb 2018, 11:59    Post subject:  

Success using puppy-get as a replacement for apt-get using a bash script to install Apache2 PHP 7.0 MariaDB and ZoneMInder on a fresh install of Xenial 7.5 32bit.
1) added the zoneminder PPA to the ~/.packages/DISTRO_COMPAT_REPOS

Code:
#
# Generic DISTRO_COMPAT_REPOS for WCE Upups
#

if [ "$DISTRO_COMPAT_VERSION" = "" ] ; then
   [ -f ./DISTRO_SPECS ] && . ./DISTRO_SPECS
fi

case "$DISTRO_TARGETARCH" in
   x86)    DBIN_ARCH=i386  ;;
   x86_64) DBIN_ARCH=amd64 ;;
esac

case $DISTRO_COMPAT_VERSION in
   precise|trusty) DDB_COMP=bz2 ;; #older versions
   *) DDB_COMP=xz ;;
esac

#----------------------
#PKG_DOCS_DISTRO_COMPAT - where to download the compat-distro pkgs databases from
#---------------------
# 1|2|3
#   1 - domain. for testing the url.
#   2 - full URI of the database file.
#   3 - name of db file when local and after being processed into standard format

PKG_DOCS_DISTRO_COMPAT="
z|http://archive.ubuntu.com/ubuntu/dists/${DISTRO_COMPAT_VERSION}/main/binary-${DBIN_ARCH}/Packages.${DDB_COMP}|Packages-${DISTRO_BINARY_COMPAT}-${DISTRO_COMPAT_VERSION}-main
z|http://archive.ubuntu.com/ubuntu/dists/${DISTRO_COMPAT_VERSION}/universe/binary-${DBIN_ARCH}/Packages.${DDB_COMP}|Packages-${DISTRO_BINARY_COMPAT}-${DISTRO_COMPAT_VERSION}-universe
z|http://archive.ubuntu.com/ubuntu/dists/${DISTRO_COMPAT_VERSION}/multiverse/binary-${DBIN_ARCH}/Packages.${DDB_COMP}|Packages-${DISTRO_BINARY_COMPAT}-${DISTRO_COMPAT_VERSION}-multiverse
ppa.launchpad.net|http://ppa.launchpad.net/iconnor/zoneminder/ubuntu/dists/xenial/main/binary-i386/Packages.xz|Packages-${DISTRO_BINARY_COMPAT}-${DISTRO_COMPAT_VERSION}-zoneminder
"

#-------------------
#REPOS_DISTRO_COMPAT - hardcode the compat-distro repos in here...
#-------------------
# 1|2|3
#   1 - domain. for testing the url.
#   2 - full URI of the repo
#   3 - name of db-file(s) associated with that repo. it may have glob wildcards.

REPOS_DISTRO_COMPAT="
z|http://archive.ubuntu.com/ubuntu|Packages-${DISTRO_BINARY_COMPAT}-${DISTRO_COMPAT_VERSION}-*
z|http://mirrors.kernel.org/ubuntu|Packages-${DISTRO_BINARY_COMPAT}-${DISTRO_COMPAT_VERSION}-*
z|ftp.osuosl.org/pub/ubuntu|Packages-${DISTRO_BINARY_COMPAT}-${DISTRO_COMPAT_VERSION}-*
ppa.launchpad.net|http://ppa.launchpad.net/iconnor/zoneminder/ubuntu|Packages-${DISTRO_BINARY_COMPAT}-${DISTRO_COMPAT_VERSION}-*
"


#---------------
# fix variables
#---------------
PKG_DOCS_DISTRO_COMPAT="$(echo "$PKG_DOCS_DISTRO_COMPAT" | sed '/^$/d' | tr '\n' ' ' | sed 's% $%%')"
REPOS_DISTRO_COMPAT="$(echo "$REPOS_DISTRO_COMPAT" | sed '/^$/d' | tr '\n' ' ' | sed 's% $%%')"


then updated the Puppy Package Manager using the option "use verbose method to update" by skipping the zoneminder entry and updating the original repos then again performing the update and skipping everything but the zoneminder packages.

2) installed the puppy-get in ~/my-applications/bin and ran the command:
Code:
#puppy-get update

after letting the package database merge to finish completely then ran this script:

Code:
#!/bin/sh

clear
read -p "This script installs the latest Zoneminder from the PPA for Ubuntu 16.04...Press Enter to continue or Ctrl + c to quit" nothing
clear

adduser www-data
adduser mysql

puppy-get install apache2
puppy-get install php7.0 libapache2-mod-php7.0 php7.0-mysql php7.0-curl php7.0-gd php7.0-intl php-pear php-imagick php7.0-imap php7.0-mcrypt php-memcache  php7.0-pspell php7.0-recode php7.0-sqlite3 php7.0-tidy php7.0-xmlrpc php7.0-xsl php7.0-mbstring php-gettext php-apcu
puppy-get install mariadb-server mariadb-client

clear
read -p "Next secure mariadb server by entering requested information. Press enter to continue" nothing
/usr/bin/mysql_install_db

mkdir /var/run/mysqld

mkdir /var/log/mysql

chown -R mysql /var/run/mysqld

service mysql start

/usr/bin/mysql_secure_installation

puppy-get install zoneminder php-gd

chmod 740 /etc/zm/zm.conf

chown root:www-data /etc/zm/zm.conf

a2enmod cgi

a2enconf zoneminder

chown -R www-data:www-data /usr/share/zoneminder/
chown -R www-data /var/cache/zoneminder


systemctl enable zoneminder

service zoneminder start

clear
read -p "Next we will add timezone your PHP. Geany will open, search for :date.timezone = and make it look like date.timezone = America/New_York Press enter to continue" nothing

geany /etc/php/7.0/apache2/php.ini

service apache2 reload

clear

read -p "Open Zoneminder in a web browser (http://server-ip/zm). Click on Options - Paths and change PATH_ZMS to /zm/cgi-bin/nph-zms Click the Save button. Press enter to continue" nothing


with some small fixes including a small modification of the /etc/ini.d/mysql script and some manual configuration of the Apache modules and adding a valid php.ini that the install script does not address yet...
I was presented at the end with a working ZoneMinder install!
This is closing in on a goal of mine to create a simple any person can do it installation of the zoneminder camera security system on a Puppy Linux OS. I have re-mastered versions and created a one-click intall with a zoneminder-1.30.4.pet..but with a script the latest stable builds can be installed automatically.
Some small hitches but overall puppy-get so far has exceeded expectations and hope this project will continue and be eventually included into the woof_CE system!

Last edited by rockedge on Thu 15 Feb 2018, 12:22; edited 2 times in total
Back to top
View user's profile Send private message Visit poster's website 
ally


Joined: 19 May 2012
Posts: 1831
Location: lincoln, uk

PostPosted: Thu 15 Feb 2018, 12:03    Post subject:  

I've been very impressed too but have not needed to use it much finding as I have for many years puppy has what I need

however, it really is recommended

Smile
Back to top
View user's profile Send private message Visit poster's website 
rockedge


Joined: 11 Apr 2012
Posts: 730
Location: Connecticut, United States

PostPosted: Thu 15 Feb 2018, 12:19    Post subject:  

I have some really modified Puppy systems to run some software that usually are associated with bigger mainstream distros.... just to see how it compares to running something like zoneminder on a frugal install of puppy...which UPUP 3.9.9.2, Tahr and Xenial all have proven work very well and very reliably on sometimes boxes literally taken out of the garbage.
So a quick simple way to set up lets say a camera security or just to watch to see what the cats do when you're away is a goal of mine for some reason..... and using an older machine running a Puppy OS and a single script to automate the procedure....

otherwise my main Puppy is a stock Tahr 64bit...does all the stuff I need to do.... and quickly...... safely......
Back to top
View user's profile Send private message Visit poster's website 
mistfire

Joined: 04 Nov 2008
Posts: 922
Location: PH

PostPosted: Sat 24 Feb 2018, 04:50    Post subject:  

@rockedge thanks for testing this script
I think its now time to pack the script as pet.
The pet is now uploaded in the first post of this thread
Back to top
View user's profile Send private message 
hamoudoudou

Joined: 24 Jul 2014
Posts: 1467
Location: rabat

PostPosted: Sat 24 Feb 2018, 23:01    Post subject: updating first database. feed back soon
Subject description: ArtfulPup
 

pet installed. Who will use it ? If only Puppy Linux School Pupils, or their teachers, UK Linux citizens, we shall wait.
148MB free in my pupsave. Updating on progress.
Commandes
What is strange is that xenialdog can run GCstar for instance and puppy does not, unless loading Devx. Why PPM or Puppy-get do not dowwnload needed stuff..
same for Griffith

Last edited by hamoudoudou on Sun 25 Feb 2018, 09:34; edited 3 times in total
Back to top
View user's profile Send private message 
hamoudoudou

Joined: 24 Jul 2014
Posts: 1467
Location: rabat

PostPosted: Sun 25 Feb 2018, 00:03    Post subject:  First step : update Second step Fotoxx
Subject description: no trouble
 

# /usr/sbin/puppy-get install fotoxx
Searching fotoxx from the database ...
Searching dependencies for fotoxx ...

The following packages will be downloaded:
1. adwaita-icon-theme_3.26.0-0ubuntu2_all.deb (4997K)
2. dcraw_9.27-1ubuntu1_i386.deb (347K)
3. fotoxx_17.08.1-1_i386.deb (3292K)
4. fotoxx-common_17.08.1-1_all.deb (8331K)
5. gtk-update-icon-cache_3.22.24-0ubuntu1_i386.deb (139K)
6. humanity-icon-theme_0.6.13_all.deb (20741K)
7. libatk-bridge2.0-0_2.26.0-1ubuntu1_i386.deb (227K)
8. libatspi2.0-0_2.26.0-2_i386.deb (220K)
9. libchamplain-0.12-0_0.12.16-1_i386.deb (369K)
10. libchamplain-gtk-0.12-0_0.12.16-1_i386.deb (32K)
11. libclutter-1.0-0_1.26.2+dfsg-3ubuntu1_i386.deb (1792K)
12. libclutter-gtk-1.0-0_1.8.4-2_i386.deb (81K)
13. libcogl20_1.22.2-2_i386.deb (880K)
14. libcogl-pango20_1.22.2-2_i386.deb (58K)
15. libcogl-path20_1.22.2-2_i386.deb (99K)
16. libcolord2_1.3.3-2build1_i386.deb (414K)
17. libgtk-3-0_3.22.24-0ubuntu1_i386.deb (10145K)
18. libgtk-3-common_3.22.24-0ubuntu1_all.deb (408K)
19. libimage-exiftool-perl_10.60-1_all.deb (13071K)
20. libraw16_0.18.2-2_i386.deb (1816K)
21. librest-0.7-0_0.8.0-2_i386.deb (114K)
22. libwayland-cursor0_1.14.0-1_i386.deb (48K)
23. ubuntu-mono_16.10+17.10.20171012.1-0ubuntu1_all.deb (5608K)
24. xdg-utils_1.1.1-1ubuntu2_all.deb (302K)

Packages to install: 24
Total download size: 71Mb
Approximate disk space needed for installation: 215Mb

You need more disk space to install the following packages
#
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 5 [69 Posts]   Goto page: Previous 1, 2, 3, 4, 5 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Cutting edge
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0680s ][ Queries: 15 (0.0140s) ][ GZIP on ]